automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH 3/6] objc++: test automatic dependency tracking


From: Peter Breitenlohner
Subject: [PATCH 3/6] objc++: test automatic dependency tracking
Date: Mon, 30 Apr 2012 11:12:13 +0200

* t/objcxx-deps.sh: New test.

Signed-off-by: Peter Breitenlohner <address@hidden>
---
 t/objcxx-deps.sh |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 46 insertions(+), 0 deletions(-)
 create mode 100755 t/objcxx-deps.sh

diff --git a/t/objcxx-deps.sh b/t/objcxx-deps.sh
new file mode 100755
index 0000000..f9228de
--- /dev/null
+++ b/t/objcxx-deps.sh
@@ -0,0 +1,46 @@
+#! /bin/sh
+# Copyright (C) 2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# Make sure dependency tracking works for ObjC++.
+
+. ./defs || Exit 1
+
+cat >> configure.ac << 'END'
+# Objective C++ requires Autoconf 2.65 (2009-11-21)
+AC_PREREQ([2.65])
+_AM_DEPENDENCIES([OBJCXX])
+AC_SUBST([OBJCXX])
+END
+
+cat > Makefile.am << 'END'
+bin_PROGRAMS = convert
+convert_SOURCES = convert.mm
+END
+
+$ACLOCAL || {
+  if test $? -eq 63; then
+    exit 77
+  else
+    exit $?
+  fi
+}
+
+$AUTOMAKE
+
+num=`grep depcomp Makefile.in | wc -l`
+test $num -gt 1
+
+:
-- 
1.7.3.1




reply via email to

[Prev in Thread] Current Thread [Next in Thread]